Skip to main content
GET
/
merkle
/
proof
/
{txid}
Get Merkle proof for a specific transaction ID
curl --request GET \
  --url https://api.timelockdata.com/api/v1/merkle/proof/{txid}
{
  "status": "<string>",
  "txId": "<string>",
  "merkleRoot": "<string>",
  "leafIndex": 123,
  "proof": [
    {
      "hash": "<string>",
      "position": "left"
    }
  ],
  "error": "<string>"
}
No authentication required. Get the full Merkle proof path for a specific transaction ID, which can be used to independently verify inclusion in a batch.

Path Parameters

txid
string
required

Transaction ID

Response

Merkle proof

status
string
required

Response status

txId
string

Transaction ID

merkleRoot
string

Merkle root hash

leafIndex
number

Leaf index in the tree

proof
object[]

Merkle proof path

error
string

Error message if applicable